Page MenuHomePhabricator

Allow users to expand images on the Suggested Tags page
Closed, ResolvedPublic

Description

Currently, images shown on cards with suggested tags are not clickable or expandable. Users should be able to click on the image to see an expanded view:

Event Timeline

AnneT created this task.Oct 8 2019, 4:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2019, 4:43 PM
AnneT moved this task from Backlog to Ready for dev on the MachineVision board.Oct 8 2019, 4:47 PM
AnneT moved this task from To Do to Current Work on the Structured-Data-Backlog board.
egardner added a subscriber: egardner.

In the interest of hitting our target release date, I think this feature should be considered a non-critical enhancement that can be add in post-launch. Moving to "Backlog" for now.

egardner moved this task from Backlog to Needs design on the MachineVision board.Oct 17 2019, 7:52 PM

Per discussion today:

  • For now, ax the idea of integrating MediaViewer (maybe we'll look at it later)
  • We'll do a simple link to the image's page and @PDrouin-WMF will decide whether that is a text link or a link on the image itself.

Let's link the image itself. Based on both usability testing I conducted for this tool as well as taking into account the existing pattern of images on Commons and Wikipedia linking to their file pages, that should satisfy this UX requirement.

egardner claimed this task.Oct 18 2019, 5:12 PM

Change 544448 had a related patch set uploaded (by Eric Gardner; owner: Eric Gardner):
[mediawiki/extensions/MachineVision@master] Link image labels to filepage

https://gerrit.wikimedia.org/r/544448

Change 544448 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Link image labels to filepage

https://gerrit.wikimedia.org/r/544448

Change 545642 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Remove link from filename

https://gerrit.wikimedia.org/r/545642

Change 545642 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Remove link from filename

https://gerrit.wikimedia.org/r/545642

egardner moved this task from In development to Done on the MachineVision board.Nov 7 2019, 8:31 PM
Ramsey-WMF closed this task as Resolved.Nov 14 2019, 11:29 PM

Works on prod